div.form-row
  div.form-group.col-lg-4.d-none.d-lg-block.text-center
    img([Gravatar]="tCliente.Email",
      alt="").ImagenPrincipal
  div.form-group.col-12.col-lg-8
    div.form-row
      div.form-group.col-12
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-user
          label(size-label="sm").ControlInput--Label [{{ tCliente.Codcliente }}] {{ tCliente.Descripcion }}
    div.form-row
      div.form-group.col-12
        label.form-label.h6 Documento
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-address-card
          label(size-label="sm").ControlInput--Label [ {{ tCliente.Tipodocumento }} ] - {{ tCliente.Documento }}
div.form-row
  div.form-group.col-12.col-lg-4
    div.Tarjeta
      div(Borde="success").Tarjeta--Cuerpo
        div.Tarjeta--Cuerpo-Fila
          div.col-12
            div.Tarjeta--Texto
              span(Color="success").Tarjeta--Texto-Titulo Crédito
        div(Alineacion="center").Tarjeta--Cuerpo-Fila
          div.col-auto
            div.fas.fa-calculator.fa-2x.text-gray-300
          div.col.ml-4
            div.Tarjeta--Texto
              span(Color="success").Tarjeta--Texto-Titulo Limite:
              span.Tarjeta--Texto-Contenido {{ tCliente.Limite_credito | number:'0.1-2' }}
            div.Tarjeta--Texto
              span(Color="success").Tarjeta--Texto-Titulo Usado:
              span.Tarjeta--Texto-Contenido {{ tCliente.Credito_usado | number:'0.1-2' }}
            div.Tarjeta--Separador
            div.Tarjeta--Texto
              span(Color="success").Tarjeta--Texto-Titulo Disponible:
              span.Tarjeta--Texto-Contenido {{ tCliente.Limite_credito - tCliente.Credito_usado | number:'0.1-2' }}
  div.form-group.col-12.col-lg-4
    div.Tarjeta
      div(Borde="secondary").Tarjeta--Cuerpo
        div.Tarjeta--Cuerpo-Fila
          div.col-12
            div.Tarjeta--Texto
              span(Color="secondary").Tarjeta--Texto-Titulo Facturas a credito
        div(Alineacion="center").Tarjeta--Cuerpo-Fila
          div.col-auto
            div.fas.fa-calculator.fa-2x.text-gray-300
          div.col.ml-4
            div.Tarjeta--Texto
              span(Color="secondary").Tarjeta--Texto-Titulo Limite:
              span.Tarjeta--Texto-Contenido {{ tCliente.Limite_facturas_credito }}
            div.Tarjeta--Texto
              span(Color="secondary").Tarjeta--Texto-Titulo Activas:
              span.Tarjeta--Texto-Contenido {{ tCliente.Facturas_credito_activas }}
            div.Tarjeta--Separador
            div.Tarjeta--Texto
              span(Color="secondary").Tarjeta--Texto-Titulo Disponible:
              span.Tarjeta--Texto-Contenido {{ tCliente.Limite_facturas_credito - tCliente.Facturas_credito_activas }}
  div.form-group.col-12.col-lg-4
    div.Tarjeta
      div(Borde="danger").Tarjeta--Cuerpo
        div.Tarjeta--Cuerpo-Fila
          div.col-12
            div.Tarjeta--Texto
              span(Color="danger").Tarjeta--Texto-Titulo Facturas vencidas
        div(Alineacion="center").Tarjeta--Cuerpo-Fila
          div.col-auto
            div.fas.fa-calculator.fa-2x.text-gray-300
          div.col.ml-4
            div.Tarjeta--Texto
              span(Color="danger").Tarjeta--Texto-Titulo Limite:
              span.Tarjeta--Texto-Contenido {{ tCliente.Limite_facturas_vencidas }}
            div.Tarjeta--Texto
              span(Color="danger").Tarjeta--Texto-Titulo Vencidas:
              span.Tarjeta--Texto-Contenido {{ tCliente.Facturas_credito_vencidas }}
            div.Tarjeta--Separador
            div.Tarjeta--Texto
              span(Color="danger").Tarjeta--Texto-Titulo Disponible:
              span.Tarjeta--Texto-Contenido {{ tCliente.Limite_facturas_vencidas - tCliente.Facturas_credito_vencidas }}
div.form-row
  div.form-group.col-12
    ul(role="tablist").nav.nav-tabs
      li.nav-item
        a(data-toggle="tab",
          href="#Identificacion",
          role="tab",
          aria-controls="Identificacion",
          aria-selected="true")#Identificacion-tab.nav-link.active Indentificación
      li.nav-item
        a(data-toggle="tab",
          href="#Contacto",
          role="tab",
          aria-controls="Contacto",
          aria-selected="true")#Contacto-tab.nav-link Contacto
      li.nav-item
        a(data-toggle="tab",
          href="#Documento",
          role="tab",
          aria-controls="Documento",
          aria-selected="true")#Documento-tab.nav-link Documentos
      li.nav-item
        a(data-toggle="tab",
          href="#Destino",
          role="tab",
          aria-controls="Destino",
          aria-selected="true")#Destino-tab.nav-link Destinos
div.form-row
  div.form-group.col-12
    div.tab-content#mvDatos
      div(role="tabpanel", aria-labelledby="Identificacion-tab").tab-pane.fade.show.active#Identificacion
        div.form-row.border-bottom-secondary.mb-2
          div.form-group.col-12
            h5.card-title.mb-0.text-gray-800
              span.fas.fa-info.mr-2
              span Información General
        div.form-row
          div.form-group.col-12.col-lg-6
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Género
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-transgender
                  label(size-label="sm").ControlInput--Label  [ {{ tCliente.Codgenero }} ] - {{ tCliente.Descripcion_genero }}
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Asesor
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-user-tie
                  label(size-label="sm").ControlInput--Label [{{ tCliente.Codasesor }}] {{ tCliente.Descripcion_asesor }}
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Ocupación
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-business-time
                  label(size-label="sm").ControlInput--Label [ {{ tCliente.Codocupacion }} ] - {{ tCliente.Descripcion_ocupacion }}
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Estado civil
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-user-friends
                  label(size-label="sm").ControlInput--Label [ {{ tCliente.Codestadocivil }} ] - {{ tCliente.Descripcion_estado_civil }}
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Condiciòn
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-user-cog
                  label(size-label="sm").ControlInput--Label [ {{ tCliente.Codcondicion }} ] - {{ tCliente.Descripcion_condicion }}
          div.form-group.col-12.col-lg-6
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Estatus
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-unlock-alt
                  label(size-label="sm").ControlInput--Label {{ tCliente.Estatus }}
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Fecha nacimiento
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-calendar-alt
                  label(size-label="sm").ControlInput--Label {{ tCliente.Fecha_nacimiento | date: 'dd/MM/yyyy' }}
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Situaciòn
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-user-clock
                  label(size-label="sm").ControlInput--Label [ {{ tCliente.Codsituacion }} ] - {{ tCliente.Descripcion_situacion }}
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Tipo cliente
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-user-check
                  label(size-label="sm").ControlInput--Label {{ tCliente.Tipocliente }}
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Tipo precio
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-dollar-sign
                  label(size-label="sm").ControlInput--Label {{ tCliente.Tipoprecio }}
      div(role="tabpanel", aria-labelledby="Contacto-tab").tab-pane.fade#Contacto
        div.form-row
          div.form-group.col-12.col-lg-6
            div.form-row.border-bottom-secondary.mb-2
              div.form-group.col-12
                h5.card-title.mb-0.text-gray-800
                  span.fas.fa-phone.mr-2
                  span Telefonos
            div.form-row
              div.form-gropup.col-12
                ng-container(*ngFor="let tTelefonoFor of tCliente.LTelefonos | slice: (tPaginaTelefonos-1) * tTamanoPagTelefonos : (tPaginaTelefonos-1) * tTamanoPagTelefonos + tTamanoPagTelefonos")
                  div.TarjetaTelefono
                    div.TarjetaTelefono--ColIcono
                      div([ngClass]="{'text-gray-300': tTelefonoFor.Principal === 0, 'text-success': tTelefonoFor.Principal === 1}").fas.fa-phone.fa-2x
                    div.TarjetaTelefono--ColTexto
                      div.TarjetaTelefono--ColTexto-Texto {{ tTelefonoFor.Telefono }}
                    div.TarjetaTelefono--ColBoton
                      div.row
                        div.col-12.col-lg-6
                          a(href="https://wa.me/{{tTelefonoFor.Telefono}}",
                            target="_blank").btn.btn-whatsapp.btn-sm
                              i.fab.fa-whatsapp
                        div.col-12.col-lg-6
                          a(href="tel:{{tTelefonoFor.Telefono}}",
                            target="_blank").btn.btn-primary.btn-sm
                              i.fas.fa-phone-alt
            div.form-row.pt-2
              div.form-group.col-12
                ngb-pagination(aria-label="Default pagination",
                                [collectionSize]="tCliente.LTelefonos.length",
                                [(page)]="tPaginaTelefonos",
                                [pageSize]="tTamanoPagTelefonos",
                                size="sm").d-flex.justify-content-center
          div.form-group.col-12.col-lg-6
            div.form-row.border-bottom-secondary.mb-2
              div.form-group.col-12
                h5.card-title.mb-0.text-gray-800
                  span.fas.fa-envelope.mr-2
                  span Correo
            div.form-row
              div.form-gropup.col-12
                div(*ngIf="tCliente.Email !== ''").TarjetaCorreo
                  div.TarjetaCorreo--ColIcono
                    div.fas.fa-envelope.fa-2x.text-success
                  div.TarjetaCorreo--ColTexto
                    div.TarjetaCorreo--ColTexto-Texto {{ tCliente.Email }}
      div(role="tabpanel", aria-labelledby="Documento-tab").tab-pane.fade#Documento
        div.form-row.border-bottom-secondary.mb-2
          div.form-group.col-12
            h5.card-title.mb-0.text-gray-800
              span.fas.fa-archive.mr-2
              span Documentos
        div.form-row
          div.form-group.col-12.col-lg-6
            div.form-row
              div.form-gropup.col-12
                ng-container(*ngFor="let tDocumentoFor of tCliente.LDocumentos | slice: (tPaginaDoc-1) * tTamanoPagDoc : (tPaginaDoc-1) * tTamanoPagDoc + tTamanoPagDoc")
                  div.TarjetaDocumentos
                    div.TarjetaDocumentos--ColIcono
                      ng-container(*ngIf="tDocumentoFor.Url === ''")
                        div([ngClass]="{'text-gray-300': tDocumentoFor.Principal === 0, 'text-success': tDocumentoFor.Principal === 1}").fas.fa-passport.fa-2x
                      ng-container(*ngIf="tDocumentoFor.Url !== ''")
                        img([src]="tDocumentoFor.Url").ImagenDocumento
                    div.TarjetaDocumentos--ColTexto
                      div.TarjetaDocumentos--ColTexto-Texto [{{ tDocumentoFor.Tipodocumento }}] {{ tDocumentoFor.Documento }}
          div.form-group.col-12.col-lg-6
            img(src="assets/Documentos.svg").img-fluid.text-center
        div.form-row.pt-2
          div.form-group.col-12
            ngb-pagination(aria-label="Default pagination",
                            [collectionSize]="tCliente.LDocumentos.length",
                            [(page)]="tPaginaDoc",
                            [pageSize]="tTamanoPagDoc",
                            size="sm").d-flex.justify-content-center
      div(role="tabpanel", aria-labelledby="Destino-tab").tab-pane.fade#Destino
        div.form-row.border-bottom-secondary.mb-2
          div.form-group.col-12
            h5.card-title.mb-0.text-gray-800
              span.fas.fa-globe.mr-2
              span Destinos
        div.form-row
          div.form-group.col-12
            app-fw-mapa([Marcadores]="tLMarcadores")
